org.apache.cassandra.cql3.statements

## Class Selectable.WritetimeOrTTL

- java.lang.Object
- - org.apache.cassandra.cql3.statements.Selectable.WritetimeOrTTL

All Implemented Interfaces:
  Selectable

Enclosing interface:
  Selectable

    public static class Selectable.WritetimeOrTTL
    extends java.lang.Object
    implements Selectable

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.statements.Selectable

`Selectable.WithFunction, Selectable.WritetimeOrTTL`

### Field Summary

Fields
`ColumnIdentifier` `id`
`boolean` `isWritetime`

### Constructor Summary

Constructors
Constructor and Description
`Selectable.WritetimeOrTTL(ColumnIdentifier id, boolean isWritetime)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### id

    public final ColumnIdentifier id

#### isWritetime

    public final boolean isWritetime

### Constructor Detail

#### Selectable.WritetimeOrTTL

    public Selectable.WritetimeOrTTL(ColumnIdentifier id,
                             boolean isWritetime)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`